Subject: bug#51659: 29.0.50; emoji.el: incorrect description for some emojis in emoji-list

From: Eli Zaretskii <[email-masked]>
Date: Sun, 07 Nov 2021 17:16:12 +0200

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked], Eli Zaretskii <[email-masked]>
> Date: Sun, 07 Nov 2021 15:48:20 +0100
> 
> Lars Ingebrigtsen <[email-masked]> writes:
> 
> > Perhaps emoji.el is mis-parsing the emoji file...  I'll try to debug.
> 
> No, there's something weird going on in `find-composition' here?  Eli,
> could you have a look -- it's a bit mysterious.
> 
> (insert "\x263A\xFE0Flalalalalal")
> => ☺️lalalalalal
> 
> (find-composition (point)) on both of those return the composition on
> the first cluster.

What are "both of those"?  And what do you mean by the "first
cluster"?

> Now, the doc string says:
> 
> ---
> If there’s no composition at POS, and the optional 2nd argument LIMIT
> is non-nil, search for a composition toward the position given by LIMIT.
> ---
> 
> So I interpret a nil value shouldn't search?

It shouldn't search if POS is not included in any composition, no.

> (find-composition (point) (point)) returns absolutely the same as a nil
> value on the "lala" bits.

That's expected.

But I still don't understand what is the problem.  What did you try to
accomplish, and what happened instead?